Page MenuHomePhabricator

Add Michael Grosse to 'wmde' LDAP group
Closed, ResolvedPublic

Description

Michael is the new software developer at WMDE.
Can we please have his LDAP account added to the 'wmde' group, so that he gets write permissions to WMDE repositories on Gerrit?

Wikitech user name: Michael Große
Phabricator user name: Michael
shell user name: migr

Should you require any further information, please ask in comments.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 5 2018, 12:40 PM

From what I can tell, these are the things we need:

  • have a signed WMF NDA on file with WMF legal.
  • provide your wikitech username and what email you would like tied to the ldap account.
  • confirmation that @Michael is WMDE (likely confirmed when they file an NDA with WMF Legal, since it includes confirmation of who they are.)

@RStallman-legalteam , do we have an NDA on file for Michael?

I don't have record of an NDA for Michael. @Michael, if you can provide your email address or send an email to rstallman@wikimedia.org, I'll prepare an NDA for you to sign. Thanks!

Sorry if I created some confusion here. Might be I actually did.

So this is about "wmde" LDAP group, not "nda" LDAP group. There are users in the former group which are not in the latter, and it seems OK (wmde group does not provide any restricted access really).
So I am wondering, what NDA we're discussing that @Michael would need to sign? Is it necessary in the light of what I said a line above?

WMDE-leszek updated the task description. (Show Details)Nov 6 2018, 8:03 AM

Sorry @RStallman-legalteam and @colewhite, my mistake. Forgive me my rookie mistakes in the manager role.
So indeed, before being aded to LDAP 'wmde' group @Michael should have signed L4, which he now has done.

As far as I know, for 'wmde' group the L2 NDA is not required (it has been signed by WMDE staff in the past, before 'wmde' group existed, and WMDE staff was being added to 'nda' group).
Could you please verify that this is correct? If L2 is required for all WMDE employees, we'll update our onboarding process accordingly.

So as far as I know the new policy (that we have tripped over a few times with the last people being added to the WMDE LDAP group) is that all people being added to ldap groups need to have signed an NDA with the WMF.

Addshore triaged this task as Normal priority.Nov 6 2018, 10:08 AM

So as far as I know the new policy (that we have tripped over a few times with the last people being added to the WMDE LDAP group) is that all people being added to ldap groups need to have signed an NDA with the WMF.

That's correct.

*any* ldap group?

WMDE-leszek added a comment.EditedNov 6 2018, 10:37 AM

Thanks @Addshore and @MoritzMuehlenhoff. To clarify finally, by NDA above you are referring to L2, or to the non-phabricator NDA handled by WMF Legal?

Thanks @Addshore and @MoritzMuehlenhoff. To clarify finally, by NDA above you are referring to L2, right?

No, I believe it is a more formal NDA from @RStallman-legalteam

thanks @Addshore, you type faster than I think.

Michael's NDA is now signed and on file. Feel free to proceed w/ access. Thanks!

migr user added to wmde LDAP group.

colewhite closed this task as Resolved.Nov 8 2018, 11:18 PM

Michael's NDA is now signed and on file. Feel free to proceed w/ access. Thanks!

@RStallman-legalteam : Can you please add Michael Grosse to the NDA tracking sheet? He's currently not listed there.